unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, TAGraph, TASeries,
  TAStyles;

type
  
  { TForm1 }

  TForm1 = class(TForm)
    Chart1: TChart;
    Chart1BarSeries1: TBarSeries;
    ChartStyles1: TChartStyles;
    procedure FormCreate(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses
  TAChartUtils, TALegend;

var
  Years: array[0..3] of Integer = (2010, 2011, 2012, 2013);
  Male: array[0..3] of Integer = (100, 110, 105, 108);
  Female: array[0..3] of Integer = (103, 109, 112, 110);
  Unknown: array[0..3] of Integer = (10, 20, 15, 12);

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
var
  i: Integer;
begin
  Chart1BarSeries1.Stacked := false;  // --> select side-by-side arrangement of bars
  chart1BarSeries1.BarWidthPercent := 75;  // width of each bar group
  Chart1BarSeries1.ListSource.YCount := 3;
  for i := 0 to 3 do
    Chart1BarSeries1.AddXY(Years[i], Male[i], [Female[i], Unknown[i]], IntToStr(Years[i]));
  Chart1.BottomAxis.Marks.Style := smsLabel;
  Chart1.BottomAxis.Marks.Source := Chart1BarSeries1.ListSource;
  Chart1.Legend.Visible := true;  // Show legend
  Chart1BarSeries1.Legend.Multiplicity := lmStyle;  // Use Brush and caption defined by Styles in legend
end;
  
end.

